# Import Libraries
import os
import pandas as pd
import numpy as np
import MetaTrader5 as mt5


# Load training dataset
if not mt5.initialize():
    print("initialize() failed, error code =",mt5.last_error())
    quit()

path=os.path.join(mt5.terminal_info().data_path,r'MQL5\Files')
mt5.shutdown()
filename = os.path.join(path,'pricecorr_delt.csv')
data =  pd.read_csv(filename,
                   sep=',',
                   skip_blank_lines=True,
                   skipinitialspace=True,
                   encoding='utf-8',
                   float_precision='high',
                   dtype=np.float64,
                   low_memory=False)

# Split training dataset to input data and target


df = pd.DataFrame(data)
correlation_matrix =df.drop(6).corr()
print(correlation_matrix)
filename = os.path.join(path,'2MAcorr_delt_result.csv')
correlation_matrix.to_csv(filename, encoding='utf-8')

